org.apache.cassandra.cql3.statements

## Class TableAttributes

- java.lang.Object
- - org.apache.cassandra.cql3.statements.PropertyDefinitions
  - - org.apache.cassandra.cql3.statements.TableAttributes

-     public final class TableAttributes
      extends PropertyDefinitions

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableParams` | `asAlteredTableParams(TableParams previous)`
    `TableParams` | `asNewTableParams()`
    `java.util.UUID` | `getId()`
    `void` | `validate()`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

      `addProperty, addProperty, getBoolean, getDouble, getInt, getMap, getSimple, getString, hasProperty, toInt, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableAttributes

          public TableAttributes()

  - ### Method Detail

    - #### validate

          public void validate()

    - #### asNewTableParams

          public TableParams asNewTableParams()

    - #### asAlteredTableParams

          public TableParams asAlteredTableParams(TableParams previous)

    - #### getId

          public java.util.UUID getId()
                               throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2018 The Apache Software Foundation